AI Sync

Workflows

Update Workflow

PUThttps://app.rizzdial.com/api/Workflow/update/{id}
Update Workflow
curl --request PUT \
  --url https://app.rizzdial.com/api/Workflow/update/MQ== \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "New leads",
  "status": "draft"
}'
{
  "data": {
    "id": "MQ==",
    "name": "New leads",
    "status": "draft"
  },
  "success": true
}

Update Workflow#

Updates name, description, status, and optional trigger_config.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 workflow id from List Workflows

namestringbodyrequired

Workflow name. Max 255 characters

statusstringbodyrequired

active, inactive, or draft

descriptionstringbody

Optional description

trigger_configobjectbody

Optional graph. Types must match the catalogs

curl --request PUT \
  --url https://app.rizzdial.com/api/Workflow/update/MQ== \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"name":"New leads","status":"draft"}'
dataobject

The updated workflow